## org.eclipse.emf.importer.ui.contribution
Interface ModelImporterDescriptor

All Superinterfaces:
  ModelConverterDescriptor

All Known Implementing Classes:
  ModelImporterManager.ModelImporterDescriptorImpl

    public interface ModelImporterDescriptor

extends ModelConverterDescriptor

It is highly recommended not to implement this interface. If you need to create instances of a `ModelImporterDescriptor`, use org.eclipse.emf.importer.ui.contribution.ModelImporterDescriptorImpl.

Since:
  2.1.0

Field Summary
`static int` `TYPE_DEFAULT`
`static int` `TYPE_FILE`
`static int` `TYPE_PROJECT`

Method Summary
`IModelImporterWizard` `createWizard()`
`java.util.List<java.lang.String>` `getExtensions()`
`int` `getTypes()`

Methods inherited from interface org.eclipse.emf.converter.ui.contribution.ModelConverterDescriptor
`getDescription, getIcon, getID, getName`

Field Detail

### TYPE_PROJECT

    static final int TYPE_PROJECT

See Also:
  Constant Field Values

### TYPE_FILE

    static final int TYPE_FILE

See Also:
  Constant Field Values

### TYPE_DEFAULT

    static final int TYPE_DEFAULT

See Also:
  Constant Field Values

Method Detail

### getExtensions

    java.util.List<java.lang.String> getExtensions()

### getTypes

    int getTypes()

### createWizard

    IModelImporterWizard createWizard()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.